[KPhotoAlbum] Compiling recent KPhotoAlbum for Debian Lenny

Matthias Heukäufer matthias.heukaeufer at uni-greifswald.de
Wed Aug 5 22:10:54 CEST 2009


Hi!

I am currently trying to compile a recent version of KPhotoalbum (snapshot 
20090721 and/ or the SVN-version) for Debian Lenny.
The first thing I stumbled upon while compiling the latest snapshot was the 
compiler error about the Qt4.4/4.5 issue that Martin Jost has mentioned 
already. I recommend to replace the snapshot with another one that builds 
without any errors, as it might leave a bad impression on people who have 
never worked with KPhotoAlbum before.
Applying Jesper's patch or using a svn-checkout results in a clean build. That 
can be started without problems. Most of my images are not displayed, though, 
to be more exact all the images that are not jpg.  Cmake had complained 
about "libkdcaw release < 0.2.0, too old" and "libkipi release < 0.2.0, too 
old". While I could probably live without kipi for a while, dcraw is really 
essential for me, as I am shooting raw pictures most of the time.
Unfortunately, backports.org does not provide any more recent packages of 
those libraries, and when I tried to compile them myself using the debian 
source-package "kdegraphics", I was confronted with a large number of unmet 
dependencies.
Does anybody have any suggestions on how to get KPhotoAlbum running on Debian 
stable?
On a side note: I do not see any icons either on the main screen or in 
dialogs. Buttons that should show a graphic on them are just empty. I suspect 
that it results from running a KDE4-app in KDE 3.5.10. Is there any solution 
for it (Yes, I have exported "KDEDIRS=~/kphotoalbum".)?

Thanks for your help - Matthias


More information about the KPhotoAlbum mailing list